Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class QBEInfo

    java.lang.Object
      toolkit.db.api.QBEInfo

    public class QBEInfo

extends java.lang.Object

Class QBEInfo wraps all info of related QBE commands

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this QBEInfo with the specified object.
`ColumnInfo` | `getColumnInfo()` Get the ColumnInfo of this QBEInfo.
`java.util.Hashtable` | `getCriteria()` Get the Hashtable of criteria.
`java.lang.String` | `toString()` Returns a string representing this QBEInfo's values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getColumnInfo

    public ColumnInfo getColumnInfo()

  Get the ColumnInfo of this QBEInfo.

  Returns:
    the columnInfo of this QBEInfo.

### getCriteria

    public java.util.Hashtable getCriteria()

  Get the Hashtable of criteria. The key is row index(representing in Integer), and the value is criteria(representing in String). You can call getCriteria().get(new Integer(i)) to get the specified row criteria of this column.

  Returns:
    the criteria

### equals

    public boolean equals(java.lang.Object obj)

  Compares this QBEInfo with the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the QBEInfo is same; false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representing this QBEInfo's values. The format is as follows:

  >       className@hashCode[ columnMapingName | row1=expr1, row2=expr2, ... ]

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representing of this AndInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD